package com.snapchat.kit.sdk.core.metrics.model;

import com.bytedance.covode.number.Covode;
import com.squareup.wire.EnumAdapter;
import com.squareup.wire.ProtoAdapter;
import com.squareup.wire.WireEnum;

public enum BitmojiKitStickerPickerView implements WireEnum {
    UNKNOWN_BITMOJI_KIT_PICKER_VIEW(0),
    STICKER_PICKER(1),
    CREATE_AVATAR(2),
    LINK_ACCOUNT(3),
    NOT_AUTHORIZED(4),
    ERROR_VIEW(5);
    
    public static final ProtoAdapter<BitmojiKitStickerPickerView> ADAPTER = null;
    public final int value;

    public final int getValue() {
        return this.value;
    }

    public static final class ProtoAdapter_BitmojiKitStickerPickerView extends EnumAdapter<BitmojiKitStickerPickerView> {
        static {
            Covode.recordClassIndex(47506);
        }

        public ProtoAdapter_BitmojiKitStickerPickerView() {
            super(BitmojiKitStickerPickerView.class);
        }

        public final BitmojiKitStickerPickerView fromValue(int i) {
            return BitmojiKitStickerPickerView.fromValue(i);
        }
    }

    /* access modifiers changed from: public */
    static {
        ADAPTER = new ProtoAdapter_BitmojiKitStickerPickerView();
    }

    public static BitmojiKitStickerPickerView fromValue(int i) {
        if (i == 0) {
            return UNKNOWN_BITMOJI_KIT_PICKER_VIEW;
        }
        if (i == 1) {
            return STICKER_PICKER;
        }
        if (i == 2) {
            return CREATE_AVATAR;
        }
        if (i == 3) {
            return LINK_ACCOUNT;
        }
        if (i == 4) {
            return NOT_AUTHORIZED;
        }
        if (i != 5) {
            return null;
        }
        return ERROR_VIEW;
    }

    /* access modifiers changed from: public */
    BitmojiKitStickerPickerView(int i) {
        this.value = i;
    }
}
